Update an output file

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.kitsu.cloud/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Kitsu API MCP server": {
    "url": "https://api-docs.kitsu.cloud/mcp"
  }
}

Close
PUT /data/output-files/{instance_id}

Update the fields of an output file. Send only the fields to change. You cannot change id, created_at, updated_at. You must be a manager of the project of its entity, or work on a task of the entity.

Path parameters

  • instance_id string(uuid) Required

    Unique identifier of the output file

application/json

Body Required

  • name string
  • revision integer
  • quality string
  • path string

Responses

  • 200 application/json

    The updated output file

    Hide response attributes Show response attributes object
    • id string(uuid)
    • name string
    • entity_id string(uuid)
    • updated_at string(date-time)
  • 400

    The body is not valid, or the quality is unknown

  • 403

    You are not a manager of the project and you do not work on the entity

  • 404

    The output file does not exist

PUT /data/output-files/{instance_id}
curl -X PUT "http://api.example.com/data/output-files/a24a6ea4-ce75-4665-a070-57453082c25" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "name": "Updated Model Name"
}'
import requests

url = "http://api.example.com/data/output-files/a24a6ea4-ce75-4665-a070-57453082c25"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "name": "Updated Model Name"
}

response = requests.put(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
Request examples
{
  "name": "output_file_v002",
  "revision": 2,
  "quality": "high",
  "path": "/shots/sh010/lighting/output_file_v002.exr"
}
Response examples (200)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c250",
  "name": "output_file_v002",
  "entity_id": "b24a6ea4-ce75-4665-a070-57453082c250",
  "updated_at": "2024-01-15T10:30:00Z"
}